#ifndef SOCKET_REQUEST_H
#define SOCKET_REQUEST_H

#include <Message.h>

// class to connect socket clients with ipc queue of GL server

class Robot_Socket {

 private:
  int server_socket;
  Message *msg_ptr;

 public:
  Robot_Socket(Message *ptr, int port);
  ~Robot_Socket();
  int check_socket();
  int reply_to_client(int client_socket);

};


#endif
